import { Pipe } from "@midwayjs/core";
import { GlobalOjectType } from "../interface";
import { BaseValidatePipe } from "./BaseValidatePipe";

@Pipe()
export class PageValidatePipe extends BaseValidatePipe<GlobalOjectType,GlobalOjectType> {
    /**
     * 当前分页码
     */
    page?:number
    /**
     * 当前每页条数
     */
    limit?:number
    /**
     * 创建时间
     */
    create_time?:string
    /**
     * 更新时间
     */
    update_time?:string
}