module.exports = {
    apps : [
        {
            name: "szjkj",
            script: "./bootstrap.js",
            instances: 1,
            exec_mode: "cluster",
            out_file:"./public/logs/pm2-log.log",
            error_file:"./public/logs/pm2-error.log",
            env: {
                "NODE_ENV": "prod",
                "DB_NAME":"xiaopiaos",          //MYSQL 数据库名称
                "MYSQL_UNAME":"szjcomo1",            //MYSQL 账号
                "MYSQL_PWD":"szj2017news",              //MYSQL 密码
                "MYSQL_HOST":"192.168.18.67",   //MYSQL 地址
                "MYSQL_PORT":3306,              //MYSQL 端口号
                "POOL_MAX":8,                   //MySQL 最大连接池数量
                "POOL_MIN":2,                   //mysql 最小链接池数量
                "REDIS_PORT":8521,              //redis 端口
                "REDIS_HOST":"192.168.18.67",   //redis 地址
                "REDIS_PWD":"xxx",              //redis 密码
                "REDIS_DB":1,                   //redis 数据库索引
                "APP_PORT":8125,                //项目端口
                "GLOBALPREFIX":"szjkj",         //项目前缀
                "BULL_BOARD":"/queue/uilist",   //项目任务队列的访问地址 如http://域名/BULL_BOARD配置项,
                "STATIC_PATH":"/static",        //动态的服务器静态文件访问前缀
                "APP_LIMITER":10,               //接口请求限流大小
                "WRITE_LOG":true,               //是否需要写入管理员操作日志
                "ACTION_LOG_WRITE":10,          //管理员操作日志写入时机,有10条就写入吧 只有当WRITE_LOG = true有效
                "APP_SINGLE_LOGIN":true,        //是否开启单点登录功能 只能在一个地方登录
                "APP_JWT_TOKEN_TIME":1800,      //在线会员时长 默认1800秒 也就是30分钟 如果无操作则退出系统
            }
        }
    ]
}